/*
 * dmem.c
 *
 * Copyright (C) 1995, John D. Kilburg <john@cs.unlv.edu>
 * See the file COPYRIGHT for details.
 */

/*
 * This cheeseball bit of code is just a frontend to the Xt memory
 * allocation stuff so that non-X code doesn't have to deal with
 * X definitions.  Also gives a handy place to mess with memory
 * allocation.
 */
#include <stdio.h>

#include <X11/Intrinsic.h>

#include "common.h"

/*
 * free_mem
 */
void
free_mem(m)
void *m;
{
  XtFree(m);
  return;
}

/*
 * calloc_mem
 */
void *
calloc_mem(len, elen)
size_t len, elen;
{
  return(XtCalloc(len, elen));
}

/*
 * alloc_mem
 */
void *
alloc_mem(len)
size_t len;
{
  return(XtMalloc(len));
}

/*
 * realloc_mem
 */
void *
realloc_mem(s, len)
void *s;
size_t len;
{
  return(XtRealloc(s, len));
}

/*
 * alloc_string
 */
char *
alloc_string(str)
char *str;
{
  return(XtNewString(str));
}
