/*
 * hr.c
 *
 * Copyright (c) 1995, John D. Kilburg (john@cs.unlv.edu)
 * See the file COPYRIGHT for more information.
 */
#include <stdio.h>

#ifdef HAVE_STDLIB_H
#include <stdlib.h>
#endif

#include "layout.h"

/*
 *
 * Private functions
 *
 */

static void RenderHR _ArgProto((LayoutInfo *, RenderPart *));
static void SetupHR _ArgProto((LayoutInfo *, RenderPart *, int, int));

/*
 * SetupHR
 */
static void
SetupHR(li, rp, line_y, line_height)
LayoutInfo *li;
RenderPart *rp;
int line_y;
int line_height;
{
  rp->y = line_height / 2 + line_y;
  rp->renderable = true;
  return;
}

/*
 * RenderHR
 */
static void
RenderHR(li, rp)
LayoutInfo *li;
RenderPart *rp;
{
  XDrawLine(li->dpy, li->win, li->gc,
	    rp->x, rp->y, rp->x + rp->width, rp->y);

  return;
}

/*
 *
 * Public Functions
 *
 */

/*
 * HandleHR
 */
void
HandleHR(li, p, end)
LayoutInfo *li;
MLTag *p;
int end;
{
  RenderPart *rp;

  if (end != 0) return;

  AddLineBreak(li);
  rp = CreateRenderPart(li, p, SetupHR, RenderHR, NULL, NULL, 0);
  AddRenderPart(li, rp, RemainingLineWidth(li), 20);
  AddLineBreak(li);

  return;
}
