/*
 * resources.h
 *
 * Copyright (C) 1993, 1994, 1995, John D. Kilburg (john@cs.unlv.edu)
 * See the file COPYRIGHT for details.
 */ 

typedef struct _wwwhead
{
  Frame frame;
  Widget toplevel;
  Widget file;
  Widget www;
  Widget open;
  Widget back;
  Widget reload;
  Widget cancel;
  Widget quit;
  Widget home;
  Widget message;
  Widget dup;
  Widget openpop;
  Widget bookpop;
  Widget url;
  Widget turl;
  Widget help;
  char *surl;
  String group;
  struct _wwwhead *next;
} WWWHead;

typedef struct _appresources
{
  /*
   * Public
   */
  char *dbFiles;
  char *homeURL;              /* location of the home page */
  char *helpURL;              /* location of the help page */
  char *button1Box;           /* list of widgets in the first button box */
  char *button2Box;           /* list of widgets in the second button box */
  XFontStruct *messageFont;

  /*
   * Private data
   */
  WWWContext wc;
  Display *dpy;
  XtAppContext appcon;
  GC gc;
  WWWHead *hlist;
  char *argv0;
} AppResources;

WWWHead *CreateHead _ArgProto((AppResources *, Widget));
void DestroyHead _ArgProto((AppResources *, WWWHead *));

/*
 * Callbacks
 */
void Quit _ArgProto((Widget, XtPointer, XtPointer));
void Open _ArgProto((Widget, XtPointer, XtPointer));
void Back _ArgProto((Widget, XtPointer, XtPointer));
void Reload _ArgProto((Widget, XtPointer, XtPointer));
void Cancel _ArgProto((Widget, XtPointer, XtPointer));
void Home _ArgProto((Widget, XtPointer, XtPointer));
void Dup _ArgProto((Widget, XtPointer, XtPointer));
void Help _ArgProto((Widget, XtPointer, XtPointer));

void MessageCallback _ArgProto((Frame, void *, char *));
void URLCallback _ArgProto((Frame, void *, char *));

