/*
 * action.c
 *
 * Copyright (c) 1995, John D. Kilburg <john@cs.unlv.edu>
 * Copyright (c) 1989, 1994  X Consortium
 * See the file COPYRIGHT for details.
 */
#include <stdio.h>

#include <X11/IntrinsicP.h>
#include <X11/StringDefs.h>

#include "WWWP.h"

static Frame
GetFrame(w)
Widget w;
{
  WWWWidget rw = (WWWWidget)XtParent(XtParent(w));
  struct _Frame *f;

  for (f = rw->www.wc->flist; f != NULL; f = f->fnext)
  {
    if (f->www == (Widget)rw) return(f);
  }

  return(NULL);
}

/*
 * WWWExposeAction
 */
void
WWWExposeAction(w, xe, params, num_params)
Widget w;
XEvent *xe;
String *params;         /* unused */
Cardinal *num_params;   /* unused */
{
  struct _Frame *frame = GetFrame(w);
  Stack *sp;

  if (frame == NULL) return;
  sp = frame->slist;

  if (sp == NULL) return;

  if (frame->use_override && frame->orh.expose != NULL)
  {
    (frame->orh.expose)(frame->orc,
			xe->xexpose.x, xe->xexpose.y,
			xe->xexpose.width, xe->xexpose.height);
    return;
  }

  if (sp->rh != NULL && sp->rh->expose != NULL)
  {
    (sp->rh->expose)(sp->rc,
		     xe->xexpose.x, xe->xexpose.y,
		     xe->xexpose.width, xe->xexpose.height);
  }

  return;
}

/*
 * WWWSelectAction
 */
void
WWWSelectAction(w, xe, params, num_params)
Widget w;
XEvent *xe;
String *params;         /* unused */
Cardinal *num_params;   /* unused */
{
  struct _Frame *frame = GetFrame(w);
  Stack *sp;

  if (frame == NULL) return;
  sp = frame->slist;

  if (sp == NULL) return;

  if (frame->use_override && frame->orh.mouse != NULL)
  {
    (frame->orh.mouse)(frame->orc,
		       xe->xbutton.x, xe->xbutton.y,
		       xe->xbutton.button);
    return;
  }

  if (sp->rh != NULL && sp->rh->mouse != NULL)
  {
    (sp->rh->mouse)(sp->rc,
		    xe->xbutton.x, xe->xbutton.y,
		    xe->xbutton.button);
  }

  return;
}

/*
 * WWWMotionAction
 */
void
WWWMotionAction(w, xe, params, num_params)
Widget w;
XEvent *xe;
String *params;         /* unused */
Cardinal *num_params;   /* unused */
{
  struct _Frame *frame = GetFrame(w);
  Stack *sp;

  if (frame == NULL) return;
  sp = frame->slist;

  if (sp == NULL) return;

  if (frame->use_override && frame->orh.motion != NULL)
  {
    (frame->orh.motion)(frame->orc,
		       xe->xmotion.x, xe->xmotion.y, -1);
    return;
  }

  if (sp->rh != NULL && sp->rh->motion != NULL)
  {
    (sp->rh->motion)(sp->rc,
		     xe->xmotion.x, xe->xmotion.y, -1);
  }

  return;
}
