/*
 * gui.h
 *
 * Copyright (c) 1995, John D. Kilburg <john@cs.unlv.edu>
 * See the file COPYRIGHT for details.
 */

typedef void *GUIContext;

/* weights */
#define GUIFontWeightNormal 0
#define GUIFontWeightBold 1

/* slants */
#define GUIFontSlantsUpright 0
#define GUIFontSlantsItalics 1

/* spacing */
#define GUIFontSpacingProportional 0
#define GUIFontSpacingFixed 1

typedef struct _gui_font_info
{
  char *family;
  int weight;
  int slants;
  int spacing;
  char *registry;
  char *encoding;
  int size;
} GUIFontInfo;

int GUISize _ArgProto((GUIContext, unsigned int *, unsigned int *));
int GUIResize _ArgProto((GUIContext, unsigned int, unsigned int));
int GUIMessage _ArgProto((GUIContext, char *));
Widget GUIInfo _ArgProto((GUIContext));
bool GUIOnScreen _ArgProto((GUIContext, int, int,
			    unsigned int, unsigned int));

XFontStruct *GUIGetFont _ArgProto((GUIContext, GUIFontInfo *));
int GUIGetNamedColor _ArgProto((GUIContext, char *, Pixel *));
int GUIGetColor _ArgProto((GUIContext, XColor *, Pixel *));

char *GUIGetResource _ArgProto((GUIContext, char *));
int GUIEmbed _ArgProto((GUIContext, char *, void (*)(), void *));

/*
typedef void *GUIFont;
typedef void *GUIColor;
typedef void *GUIInfo;

int GUITextWidth _ArgProto((GUIContext, char *, int));
int GUIDrawText _ArgProto((GUIContext, int, int, char *, int));
int GUIDrawRectangle _ArgProto((GUIContext, int, int,
				unsigned int, unsigned int));
int GUIDrawLine _ArgProto((GUIContext, int, int, int, int));
int GUIDrawImage _ArgProto((GUIContext, void *, int, int, int, int,
			    unsigned int, unsigned int));

bool GUIFetchAuthInfo _ArgProto((GUIContext, Document *, URLParts *));
void GUIGetUserAuthInfo _ArgProto((GUIContext, URLParts *));

int GUIMessage _ArgProto((GUIContext, char *));
int GUISetForeground _ArgProto((GUIContext, GUIColor));
int GUISetBackground _ArgProto((GUIContext, GUIColor));

int GUIExposeDimensions _ArgProto((GUIInfo, int *, int *,
				   unsigned int *, unsigned int *));

int GUIDrawCircle _ArgProto((GUIContext, int, int,
			     unsigned int, unsigned int));
int GUIFontHeight _ArgProto((GUIFont));
int GUISetFont _ArgProto((GUIContext, GUIFont));
*/
